Name:           ktimetracker

%global app_id org.kde.%{name}
%global forgeurl https://github.com/KDE/%{name}
%global commit 8473039430486dd3ed8425c223dbca3aa225faec
%global date 20241030
%forgemeta

Version:        6.0.0
Release:        0%{?dist}
License:        BSD-2-Clause AND CC-BY-SA-4.0 AND CC0-1.0 AND GFDL-1.2-only AND LGPL-3.0-only AND GPL-2.0-only AND GPL-2.0-or-later AND GPL-3.0-only AND LGPL-3.0-only
URL:            https://apps.kde.org/%{name}
Summary:        Personal Time Tracker
Source0:        %{forgesource}

BuildRequires:  appstream
BuildRequires:  bison
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  extra-cmake-modules
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6IdleTime)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(Grantlee)
BuildRequires:  cmake(Qca-qt6)
BuildRequires:  cmake(QJSON)

BuildRequires:  pkgconfig(libassuan)
BuildRequires:  pkgconfig(libical)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(zlib)

%description
KTimeTracker tracks time spent on various tasks.

%prep
%forgeautosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-kde --with-html

%check
desktop-file-validate %{buildroot}%{_kf6_datadir}/applications/%{app_id}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_kf6_metainfodir}/%{app_id}.appdata.xml

%files -f %{name}.lang
%license LICENSES/*
%doc README.md ChangeLog.md
%doc %lang(en) %{_kf6_datadir}/doc/HTML/en/%{name}/
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/applications/%{app_id}.desktop
%{_kf6_datadir}/dbus-1/interfaces/%{app_id}.%{name}.xml
%{_kf6_datadir}/icons/breeze-dark/*/apps/%{name}.svg
%{_kf6_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_kf6_metainfodir}/%{app_id}.appdata.xml

%changelog
* Fri Nov 1 2024 Hazel Bunny <hazel_bunny@disroot.org> - 6.0.0-0
- Update to 6.0.0

* Fri May 17 2024 Hazel Bunny <hazel_bunny@disroot.org> - 5.0.1-2
- Fix license

* Sun Jun 25 2023 Hazel Bunny <hazel_bunny@disroot.org> - 5.0.1-1
- Adapt OpenSUSE spec for Fedora
